# Uses of Class
javax.swing.InputVerifier

Packages that use InputVerifier
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of InputVerifier in javax.swing

Methods in javax.swing that return InputVerifier
Modifier and Type
Method
Description
`InputVerifier`
JComponent.`getInputVerifier()`
Returns the input verifier for this component.
Methods in javax.swing with parameters of type InputVerifier
Modifier and Type
Method
Description
`void`
JComponent.`setInputVerifier​(InputVerifier inputVerifier)`
Sets the input verifier for this component.